libcamera v0.3.2 Supporting cameras in Linux since 2019

Loading...
Searching...
No Matches
Static Public Member Functions | Friends | List of all members
libcamera::ThreadData Class Reference

Thread-local internal data. More...

## Static Public Member Functions
static ThreadData * | current ()
| Retrieve thread-local internal data for the current thread.

## Friends
class | Thread
class | ThreadMain

## Detailed Description

Thread-local internal data.

## Member Function Documentation

## ◆ current()

ThreadData * libcamera::ThreadData::current | ( |  | ) |
| static

Retrieve thread-local internal data for the current thread.

Returns
  The thread-local internal data for the current thread

The documentation for this class was generated from the following file:

- src/libcamera/base/thread.cpp